Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/vice: new aport

From: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
Date: Fri, 20 Jan 2017 22:38:42 +0100

---
 testing/vice/APKBUILD               | 54 +++++++++++++++++++++++++++++++++++++
 testing/vice/disable-fc-cache.patch | 16 +++++++++++
 testing/vice/fix__u_char.patch      | 13 +++++++++
 3 files changed, 83 insertions(+)
 create mode 100644 testing/vice/APKBUILD
 create mode 100644 testing/vice/disable-fc-cache.patch
 create mode 100644 testing/vice/fix__u_char.patch
diff --git a/testing/vice/APKBUILD b/testing/vice/APKBUILD
new file mode 100644
index 0000000000..93357acf64
--- /dev/null
+++ b/testing/vice/APKBUILD
_at_@ -0,0 +1,54 @@
+# Contributor: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+pkgname=vice
+pkgver=3.0
+pkgrel=0
+pkgdesc="emulates the C64/DTV, C128, VIC20, almost all PETs, PLUS4 and CBM-II"
+url="http://vice-emu.sourceforge.net/"
+arch="all"
+license="GPL"
+depends=""
+makedepends="sdl2-dev giflib-dev ffmpeg-dev jpeg-dev alsa-lib-dev
+	linux-headers texinfo automake autoconf bison flex"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/vice-emu/vice-$pkgver.tar.gz
+	disable-fc-cache.patch
+	fix__u_char.patch"
+builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+	sed -i 's/lib64/lib/g' configure.ac
+	autoreconf -fi
+}
+
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr \
+		--libdir=/usr/lib \
+		--enable-sdlui2 \
+		--disable-no-pic \
+		--enable-external-ffmpeg \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" realdocdir="/usr/share/doc/vice" install || return 1
+}
+md5sums="c732d76a70ac1232a43456dae540b43a  vice-3.0.tar.gz
+b1dee4fef59f835534683fabbe1fbbce  disable-fc-cache.patch
+938c5f35c0318f87f88ccca5708c45ee  fix__u_char.patch"
+sha256sums="bc56811381920d43ab5f2f85a5e08f21ab5bdf6190dd5dfe9f500a745d14972b  vice-3.0.tar.gz
+8058210e092c4943a55baeff47e6d5f3661aeb3686fd1f75e07f47888da9cc98  disable-fc-cache.patch
+d60bfda7dcf6e384a4fda09f789e9230cca2bafb542487e24141d2e9f186ad7a  fix__u_char.patch"
+sha512sums="60d33e644d9977df81ffbdceff8c4feec750de9597cfa9f37c4aa236eabbf507373e6f936e2cc3b06f3e7298e0390d1e098242bfacd6435e628a13991a6a452b  vice-3.0.tar.gz
+ed6fee34eefcb04c42b4575591dfeffca8548eae354dee66dabdbc4abac0311cbbedcdc07cdfcb01da4840d57ab331a31583e17160820462a2c064835a75d75d  disable-fc-cache.patch
+66f416ebb9fb7e1d9ac35c31a8d784acc48cefa4b72c7a9de4e2dc110ed39a5fa46642a0db56ee4e8a3fc84c61cd2584bc0cfe792318b2fd34adf606ebb5be69  fix__u_char.patch"
diff --git a/testing/vice/disable-fc-cache.patch b/testing/vice/disable-fc-cache.patch
new file mode 100644
index 0000000000..c685b676d4
--- /dev/null
+++ b/testing/vice/disable-fc-cache.patch
_at_@ -0,0 +1,16 @@
+--- a/configure.ac.orig	2016-12-15 04:44:32.000000000 +0100
++++ b/configure.ac	2017-01-05 23:24:59.072247182 +0100
+_at_@ -2998,12 +2998,7 @@ if test x"$enable_lame" != "xno" ; then
+ 
+ fi
+ 
+-AC_PATH_PROGS(FCCACHE, fc-cache, false)
+-if test x"$FCCACHE" = "xfalse"; then
+-  AM_CONDITIONAL(HAVE_FC_CACHE, false)
+-else
+-  AM_CONDITIONAL(HAVE_FC_CACHE, true)
+-fi
++AM_CONDITIONAL(HAVE_FC_CACHE, false)
+ 
+ if test x"$is_amigaos4" = "xyes"; then
+   if test x"$enable_sdlui" != "xyes" -a x"$enable_sdlui2" != "xyes"; then
diff --git a/testing/vice/fix__u_char.patch b/testing/vice/fix__u_char.patch
new file mode 100644
index 0000000000..bd59b81818
--- /dev/null
+++ b/testing/vice/fix__u_char.patch
_at_@ -0,0 +1,13 @@
+diff -ru a/src/opencbm.h b/src/opencbm.h
+--- a/src/opencbm.h	2016-11-14 00:23:10.000000000 +0100
++++ b/src/opencbm.h	2017-01-20 19:54:12.098939871 +0100
+_at_@ -131,6 +131,9 @@
+ 
+ #endif
+ 
++/* There is no __u_char on alpine linux */
++#define __u_char unsigned char /*!< __u_char as unsigned char */
++
+ /* specifiers for the IEC bus lines */
+ #define IEC_DATA   0x01 /*!< Specify the DATA line */
+ #define IEC_CLOCK  0x02 /*!< Specify the CLOCK line */
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Jan 20 2017 - 22:38:42 GMT